rules:
  - id: okay-form-radio-vue-component
    patterns:
      - pattern-inside: import ... ... from '@gitlab/ui'
      - pattern-regex: GlFormRadio?\w*
    message: Thanks for using Pajamas-compliant form radio button component
    languages:
      - generic
    severity: INFO
    paths:
      include:
        - '*.js'
        - '*.vue'
    metadata:
      componentLabel: 'component:form-radio-button'
      pajamasCompliant: true

  - id: form-radio-class-vue
    patterns:
      - pattern-regex: gl-form-radio
      - pattern-not-regex: </?gl-form-radio-?\w*
    message: |
      Detected usage of `gl-form-radio` class inside JS/Vue file.
      Please use the `GlFormRadio` inside `GlFormRadioGroup`  component from `@gitlab/ui`.
    languages:
      - generic
    severity: ERROR
    paths:
      include:
        - '*.js'
        - '*.vue'
    metadata:
      componentLabel: 'component:form-radio-button'
      pajamasCompliant: false
      epic: 'https://gitlab.com/groups/gitlab-org/-/epics/12737'

  - id: form-radio-native-vue
    pattern-either:
      - pattern-regex: '[^[]type="radio"'
      - pattern-regex: "[^[]type='radio'"
    message: |
      Detected usage of native radio button usage inside Vue/JS file.
      Please consider using the `GlFormRadio` inside `GlFormRadioGroup`  component from `@gitlab/ui`.
    languages:
      - generic
    severity: ERROR
    paths:
      include:
        - '*.js'
        - '*.vue'
    metadata:
      componentLabel: 'component:form-radio-button'
      pajamasCompliant: false
      epic: 'https://gitlab.com/groups/gitlab-org/-/epics/12737'
